Common Plugin Classes (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Classes | Namespaces | Files | Enumerations | Functions
Common Plugin Classes

## Classes
class | csBaseRenderStepLoader
| Base class for render step loaders. More...
class | csBaseRenderStepType
| Base class for render step loaders. More...
class | csCommonImageFile
| A base class for image loader plugin iImage implementations. More...
class | csCommonImageFileLoader
| Base image loader implementation. More...
class | csCursorConverter
| Helper class to convert images into data formats suitable for mouse cursor creation on various platforms and toolkits. More...
class | csDirectXError
| Obtain symbols and descriptions for DirectX error codes. More...
class | csFontCache
| A cache for font glyphs. More...
class | csGLDriverDatabase
| OpenGL driver database. More...
class | csGLFontCache
| OpenGL font cache. More...
class | csGLScreenShot
| OpenGL screen shot. More...
class | csGLStateCache
| OpenGL state cache. More...
class | csGraphics2D
| This is the base class for 2D canvases. More...
class | csGraphics2DGLCommon
| Basic OpenGL version of the 2D driver class. More...
class | csImageLoaderOptionsParser
| Helper class to parse options strings passed to iImageIO::Save(). More...
class | csRenderStepParser
| Parser for render steps and render step lists. More...
class | csShaderProgram
| Base class for iShaderProgram plugins. More...
struct | csShaderVarMapping
| Mapping of a shader variable to some shader-specific destination. More...
class | csWin32CustomCursors
| Class to create native Win32 mouse cursors from images. More...
struct | iImageFileLoader
| An image file loader. More...
struct | iShaderDestinationResolver
| Interface to allow resolution of friendly destination names. More...
struct | iShaderProgram
| A helper for shaders that which to use the general plugins. More...
struct | iShaderProgramPlugin
| Plugins which provide iShaderProgram should implement this as a factory for iShaderProgram. More...
## Namespaces
namespace | CS
| Main namespace for CrystalSpace.
## Files
file | cursorconvert.h
| Convert images into data formats suitable for native mouse cursor creation.
## Enumerations
enum | csLoaderDataType { rdtInvalid, rdtR8G8B8, rdtRGBpixel, rdtIndexed }
| The data type a loader provides. More...
## Functions
static void | makeGLMatrix (const csReversibleTransform &t, float matrix[16], bool rowMajor=false)
| Make an OpenGL matrix from a CS transform.
static void | makeGLMatrix (const csMatrix3 &m, float matrix[16], bool rowMajor=false)
| Make an OpenGL matrix from a CS matrix.

## Enumeration Type Documentation

enum csLoaderDataType

The data type a loader provides.

The data is automatically converted to the needed image format.

Enumerator:

  rdtInvalid | Invalid data type - the loader didn't set one.
  rdtR8G8B8 | 24bpp pixel data
  rdtRGBpixel | Array of csRGBpixel.
  rdtIndexed | 8-bit paletted data

Definition at line 46 of file commonimagefile.h.

## Function Documentation

static void makeGLMatrix | ( | const csReversibleTransform & | t,
|  | float | matrix[16],
|  | bool | rowMajor = `false`
| ) |  | `[inline, static]`

Make an OpenGL matrix from a CS transform.

Definition at line 36 of file glhelper.h.

static void makeGLMatrix | ( | const csMatrix3 & | m,
|  | float | matrix[16],
|  | bool | rowMajor = `false`
| ) |  | `[inline, static]`

Make an OpenGL matrix from a CS matrix.

Definition at line 74 of file glhelper.h.